> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Account

> Search Account



## OpenAPI

````yaml /api-reference/openapi.json get /api/search/account
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/search/account:
    get:
      tags:
        - Search
      summary: Search Account
      description: Search Account
      operationId: getApiSearchAccount
      parameters:
        - in: query
          name: keyword
          schema:
            type: string
            minLength: 1
            description: Search keyword
            example: taylor
          required: true
        - in: query
          name: cursor
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 0
            description: >-
              cursor parameter is used for pagination. In the first request, the
              default value of cursor is 0. For subsequent requests, the value
              of cursor will be taken from the response of the previous request.
              In the Search Endpoints, both cursor and search_id need to be
              provided when pagination is used
            example: 0
          required: false
        - in: query
          name: search_id
          schema:
            type: string
            description: >-
              search_id parameter is used for pagination. In the first request,
              the default value of the search_id is 0. For subsequent requests,
              the value of the cursor will be taken from the response of the
              previous request (from: **log_pb.impr_id**). In the Search
              Endpoints, both cursor and search_id need to be provided when
              pagination is used
            default: '0'
            example: '0'
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasMore:
                    type: number
                    description: Indicates whether there are more data available to fetch
                    example: 1
                  cursor:
                    type: number
                    description: >-
                      Cursor for pagination. Use this value in subsequent
                      requests to fetch more data
                    example: 12
                  log_pb:
                    type: object
                    properties:
                      impr_id:
                        type: string
                        description: >-
                          search_id to be used together with the cursor for
                          pagination in subsequent requests to fetch more data
                        example: 20251120012712816099520CDA04824F17
                  user_list:
                    type: array
                    items:
                      type: object
                      properties:
                        user_info:
                          type: object
                          properties:
                            uid:
                              type: string
                              description: User ID
                              example: '6881290705605477381'
                            nickname:
                              type: string
                              description: Display name of the user
                              example: Taylor Swift
                            signature:
                              type: string
                              description: User profile bio
                              example: This is pretty much just a cat account
                            avatar_thumb:
                              type: object
                              properties:
                                uri:
                                  type: string
                                  description: Internal URI of the user avatar thumbnail
                                  example: >-
                                    tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba
                                url_list:
                                  type: array
                                  items:
                                    type: string
                                  description: List of URLs for the avatar thumbnail
                                  example:
                                    - >-
                                      https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba~tplv-tiktokx-cropcenter:100:100.webp?biz_tag=tiktok_user.user_cover&dr=14579&idc=my&ps=13740610&refresh_token=532dfbd1&shcp=c1333099&shp=30310797&t=4d5b0474&x-expires=1764226800&x-signature=uN3qdOWoiodw3SgcQmiEufsX4tk%3D
                                    - >-
                                      https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/c39c2807c155535cf328225955e00aba~tplv-tiktokx-cropcenter:100:100.jpeg?biz_tag=tiktok_user.user_cover&dr=14579&idc=my&ps=13740610&refresh_token=b29c771f&shcp=c1333099&shp=30310797&t=4d5b0474&x-expires=1764226800&x-signature=SP8r9XFIkHLPpJxsClv88JlLMNE%3D
                                width:
                                  type: number
                                  description: Width of the avatar thumbnail
                                  example: 720
                                height:
                                  type: number
                                  description: Height of the avatar thumbnail
                                  example: 720
                                url_prefix:
                                  type:
                                    - string
                                    - 'null'
                                  description: Optional URL prefix for the avatar
                                  example: null
                            follower_count:
                              type: number
                              description: Number of followers the user has
                              example: 33300000
                            total_favorited:
                              type: number
                              description: Total number of likes the user has received
                              example: 263939715
                            custom_verify:
                              type: string
                              description: Verification label of the account
                              example: Verified account
                            unique_id:
                              type: string
                              description: User uniqueId
                              example: taylorswift
                            room_id:
                              type: number
                              description: Live room ID if the user is currently streaming
                              example: 0
                            enterprise_verify_reason:
                              type: string
                              description: ''
                              example: ''
                            followers_detail:
                              type: 'null'
                              description: ''
                              example: null
                            platform_sync_info:
                              type: 'null'
                              description: ''
                              example: null
                            geofencing:
                              type: 'null'
                              description: ''
                              example: null
                            cover_url:
                              type: 'null'
                              description: ''
                              example: null
                            item_list:
                              type: 'null'
                              description: ''
                              example: null
                            type_label:
                              type: 'null'
                              description: ''
                              example: null
                            ad_cover_url:
                              type: 'null'
                              description: ''
                              example: null
                            relative_users:
                              type: 'null'
                              description: ''
                              example: null
                            cha_list:
                              type: 'null'
                              description: ''
                              example: null
                            sec_uid:
                              type: string
                              description: User secUid
                              example: >-
                                MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6
                            need_points:
                              type: 'null'
                              description: ''
                              example: null
                            homepage_bottom_toast:
                              type: 'null'
                              description: ''
                              example: null
                            can_set_geofencing:
                              type: 'null'
                              description: ''
                              example: null
                            white_cover_url:
                              type: 'null'
                              description: ''
                              example: null
                            user_tags:
                              type: 'null'
                              description: ''
                              example: null
                            bold_fields:
                              type: 'null'
                              description: ''
                              example: null
                            search_highlight:
                              type: 'null'
                              description: ''
                              example: null
                            mutual_relation_avatars:
                              type: 'null'
                              description: ''
                              example: null
                            room_id_str:
                              type: string
                              description: String representation of the live room ID
                              example: ''
                            events:
                              type: 'null'
                              description: ''
                              example: null
                            advance_feature_item_order:
                              type: 'null'
                              description: ''
                              example: null
                            advanced_feature_info:
                              type: 'null'
                              description: ''
                              example: null
                            user_profile_guide:
                              type: 'null'
                              description: ''
                              example: null
                            shield_edit_field_info:
                              type: 'null'
                              description: ''
                              example: null
                            can_message_follow_status_list:
                              type: 'null'
                              description: ''
                              example: null
                            account_labels:
                              type: 'null'
                              description: ''
                              example: null
                        position:
                          type: 'null'
                          description: ''
                          example: null
                        uniqid_position:
                          type: 'null'
                          description: ''
                          example: null
                        effects:
                          type: 'null'
                          description: ''
                          example: null
                        musics:
                          type: 'null'
                          description: ''
                          example: null
                        items:
                          type: 'null'
                          description: ''
                          example: null
                        mix_list:
                          type: 'null'
                          description: ''
                          example: null
                        challenges:
                          type: 'null'
                          description: ''
                          example: null
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````